toolchain/gdb: use expat library to be able to parse target machine definitions
[openwrt/openwrt.git] / toolchain / binutils / Config.in
index 7c54e78..8d91223 100644 (file)
@@ -2,27 +2,12 @@
 
 choice
        prompt "Binutils Version" if TOOLCHAINOPTS
-       default BINUTILS_VERSION_2_19_1
+       default BINUTILS_VERSION_LINARO
        help
          Select the version of binutils you wish to use.
 
-       config BINUTILS_VERSION_2_18
-               depends !ubicom32
-               bool "binutils 2.18"
-
-       config BINUTILS_VERSION_2_19_1
-               bool "binutils 2.19.1"
-
-       config BINUTILS_VERSION_2_20
-               depends !avr32
-               depends !ubicom32
-               bool "binutils 2.20"
-
-       config BINUTILS_VERSION_CS
-               depends !avr32
-               depends !ubicom32
-               depends BROKEN
-               bool "binutils 2.19.1+20090205 with CodeSourcery enhancements"
+       config BINUTILS_VERSION_LINARO
+               bool "Linaro binutils 2.24"
 
 endchoice
 
@@ -36,8 +21,5 @@ config EXTRA_BINUTILS_CONFIG_OPTIONS
 config BINUTILS_VERSION
        string
        prompt "Binutils Version" if (TOOLCHAINOPTS && NULL)
-       default "2.18"            if BINUTILS_VERSION_2_18
-       default "2.19.1"          if BINUTILS_VERSION_2_19_1
-       default "2.20"            if BINUTILS_VERSION_2_20
-       default "2.19.1+cs"       if BINUTILS_VERSION_CS
-       default "2.19.1"
+       default "linaro"          if BINUTILS_VERSION_LINARO
+       default "linaro"